## python-petname 1.7

=== debian/changelog ===
python-petname (1.7-0ubuntu1) vivid; urgency=medium

  * debian/update-wordlists.sh, petname/__init__.py, README.md:
    - rebuild with new petname wordlists

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 26 Jan 2015 19:59:55 -0600

python-petname (1.6-0ubuntu1) vivid; urgency=medium

  * petname/__init__.py, usr/bin/python3-petname, usr/bin/python-
    petname:
    - change petname.PetName() to petname.Generate()

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 26 Jan 2015 19:59:50 -0600

python-petname (1.5-0ubuntu1) vivid; urgency=medium

  * petname/__init__.py:
    - Drop the "Rand" prefix on RandName, RandAdverb, RandAdjective
    - this is implicit

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 13 Jan 2015 11:26:30 -0600

python-petname (1.4-0ubuntu1) vivid; urgency=medium

  * debian/control:
    - bump standards version
  * remove pycache directory

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 13 Jan 2015 09:03:10 -0600

python-petname (1.3-0ubuntu1) vivid; urgency=medium

  * debian/copyright:
    - update links to python-petname
  * debian/update-wordlists.sh:
    - wordlists moved to /usr/share
  * petname/__init__.py:
    - rebuild word lists
  * debian/install => debian/python-petname.install, debian/python3-
    petname.install, usr/bin/python3-petname, usr/bin/python-petname,
    usr/share/man/man1/python3-petname.1:
    - build both python2 and python3

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 12 Jan 2015 14:36:24 -0600

python-petname (1.2-0ubuntu1) vivid; urgency=medium

  * petname/__init__.py:
    - update names from upstream

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 16 Dec 2014 14:33:32 -0600

python-petname (1.1-0ubuntu1) vivid; urgency=medium

  * README.md:
    - readme updated with pip and pypi links/instructions

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 16 Dec 2014 14:06:32 -0600

python-petname (1.0-0ubuntu1) vivid; urgency=medium

  * cmd/petname/main.go, debian/control, debian/golang-petname-
    dev.install, debian/petname.install, __init__.py =>
    petname/__init__.py, Makefile, petname.go, petname.go.in,
    petname/petname.py, petname/petname.py.in, petname_test.go, ===
    removed directory cmd, === removed directory cmd/petname, ===
    removed directory src, === removed directory src/github.com, ===
    removed directory src/github.com/dustinkirkland, === removed symlink
    src/github.com/dustinkirkland/petname, === target was u../../../,
    update.sh:
    - reorg packaging for python only
  * === added directory usr, === added directory usr/share, === added
    directory usr/share/doc, === added directory usr/share/doc/python-
    petname, === added directory usr/share/doc/python-petname/examples,
    debian/rules, petname/petname.py, update.sh:
    - fix python module definition
  * petname/__init__.py, petname/petname.py => petname/__init__.py:
    - populate __init__.py
  * debian/install, debian/python-petname.install, usr/share/doc/python-
    petname/examples/petname:
    - add an example caller script
  * names.txt:
    - remove stray paren
  * adverbs.txt:
    - remove stray line
  * adjectives.txt, adverbs.txt, debian/control, debian/rules,
    names.txt, petname/__init__.py, update.sh => debian/update-
    wordlists.sh:
    - update the word list, build-depend on petname package which
      provides the word list
  * === added directory usr/bin, === removed directory usr/share, ===
    removed directory usr/share/doc, === removed directory
    usr/share/doc/python-petname, === removed directory
    usr/share/doc/python-petname/examples, usr/share/doc/python-
    petname/examples/petname => usr/bin/python-petname:
    - rename/move the binary to /usr/bin/python-petname
  * README.md:
    - update readme with examples
  * debian/copyright:
    - update readme, add local location of license
  * === added directory usr/share, === added directory usr/share/man,
    === added directory usr/share/man/man1, usr/share/man/man1/python-
    petname.1:
    - add a manpage
  * petname/__init__.py:
    - update wordlists from upstream
  * debian/update-wordlists.sh, README.md:
    - update readme from upstream

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 16 Dec 2014 13:45:30 -0600

## python-petname 1.12

=== Makefile ===
PROJECT=petname

clean:
	rm -rf MANIFEST dist/* $(PROJECT).egg-info .coverage build/*
	find . -name '*.pyc' -delete

## python-petname 1.9

=== debian/changelog ===
python-petname (1.9-0ubuntu2) wily; urgency=medium

  * debian/patches/implicit-import.patch: Fix implicit import of english and
    make it relative to fix test failure in Python 3.5.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 16 Aug 2015 02:23:22 -0400

python-petname (1.9-0ubuntu1) wily; urgency=medium

  * Rebuild

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 06 Aug 2015 15:03:32 -0500

python-petname (1.8-0ubuntu1) wily; urgency=medium

  [ Adam Isreal ]
  * debian/update-wordlists.sh, Makefile, petname/english.py,
    petname/__init__.py, petname/__main__.py, setup.py:
    - Move adverbs/adjectives/names to separate (english.py) file
      + Editing init.py is easier/quicker
    - Added an entry_point section to setup.py, to auto-gen the
      petname script on install
    - Fixed a few of the warnings pep8 et al were throwing.

  [ Dustin Kirkland ]
  * debian/update-wordlists.sh, petname/english.py:
    - delete any blank lines

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 06 Aug 2015 15:03:30 -0500

=== debian/control ===
Source: python-petname
Section: python
Priority: optional
Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
Build-Depends: debhelper (>= 8),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
 petname
Standards-Version: 3.9.6
Homepage: http://launchpad.net/petname
Vcs-Browser: http://bazaar.launchpad.net/~petname/petname/trunk/files
Vcs-Bzr: https://code.launchpad.net/petname/petname/trunk

Package: python-petname
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Description: python library for generating pronouncable, memorable, pet names
 This package provides a library for generating "pet names", consisting
 of a random combination of an adverb, adjective, and proper name.
 These are useful for unique hostnames, for instance.
 The default packaging contains about 2000 names, 1300 adjectives,
 and 4000 adverbs, yielding nearly 10 billion unique combinations,
 covering over 32 bits of unique namespace.
 As such, PetName tries to follow the tenets of Zooko's triangle:
 names are human meaningful, decentralized, and secure.

Package: python3-petname
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: python3 library for generating pronouncable, memorable, pet names
 This package provides a library for generating "pet names", consisting
 of a random combination of an adverb, adjective, and proper name.
 These are useful for unique hostnames, for instance.
 The default packaging contains about 2000 names, 1300 adjectives,
 and 4000 adverbs, yielding nearly 10 billion unique combinations,
 covering over 32 bits of unique namespace.
 As such, PetName tries to follow the tenets of Zooko's triangle:
 names are human meaningful, decentralized, and secure.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	./debian/update-wordlists.sh
	dh_auto_build

override_dh_compress:
	dh_compress -X.py

## python-petname 1.12

=== debian/changelog ===
python-petname (1.12-0ubuntu1) xenial; urgency=medium

  * debian/control, debian/rules, debian/update-wordlists.sh:
    - remove build dependency on petname;  only the maintainer
      ever needs to run update-wordlists

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 14 Nov 2015 09:23:54 -0600

python-petname (1.11-0ubuntu1) xenial; urgency=medium

  * setup.py (properties changed: -x to +x):
    - make executable

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 14 Nov 2015 09:23:51 -0600

python-petname (1.10-0ubuntu1) xenial; urgency=medium

  * petname/english.py:
    - prune a bunch of words that should be blacklisted
  * petname/__init__.pyc:
    - remove binary file
  * petname/__init__.py:
    - fix build, import english from this module

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 30 Oct 2015 10:45:32 -0500

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	#./debian/update-wordlists.sh
	dh_auto_build

override_dh_compress:
	dh_compress -X.py

## python-petname 2.0

=== debian/changelog ===
python-petname (2.0-0ubuntu1~16.04) xenial-proposed; urgency=medium

  * backport python-petname library to 16.04, LP: #1615143

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 19 Aug 2016 17:09:04 -0500

python-petname (2.0-0ubuntu1) yakkety; urgency=medium

  * setup.py
    - fix typo in setup.py
  * petname/__init__.py, petname/__main__.py, usr/bin/python3-petname,
    usr/bin/python-petname, usr/share/man/man1/python3-petname.1,
    usr/share/man/man1/python-petname.1:
    - add support for a -l|--letters parameter, default to 6
    - creates shorter, more readable names
  * petname/english.py, README.md:
    - remove some nonsense words
  * remove binary pyc files
  * debian/rules, petname/__init__.py, usr/bin/python-petname:
    - fix build, protect from infinite loop
  * petname/english.py, README.md, setup.py:
    - bump to 2.0, using the new petname 2.0 wordlists, which are smaller,
      simpler, and use animal names instead of people names

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 02 Dec 2015 17:19:14 -0600

## python-petname 2.2

=== debian/changelog ===
python-petname (2.2-0ubuntu1) artful; urgency=medium

  [ Nick Timkovich and Dustin Kirkland ]
  * usr/bin/python3-petname, usr/bin/python-petname:
    - simplify our main function

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 27 Apr 2017 17:24:00 -0500

python-petname (2.1-0ubuntu1) artful; urgency=medium

  [ Nick Timkovich ]
  * Makefile, petname/__init__.py, petname/__main__.py, setup.py,
    test.py:
    - https://github.com/dustinkirkland/python-petname/pull/5
    - Add tests, consistently use tabs vs spaces, PEP-8 naming
  * petname/__init__.py:
    - fix indentation to use adverb(s)-adjective-name when -w > 3
    - try to use the OS's random

  [ Dustin Kirkland ]
  * petname/__init__.py:
    - add generate() defaults of 2 and "-"

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 27 Apr 2017 17:23:55 -0500

## python-petname 2.6

=== Makefile ===
PROJECT=petname

clean:
	rm -rf MANIFEST dist/* $(PROJECT).egg-info .coverage build/*
	find . -name '*.pyc' -delete

test:
	python -m unittest

=== debian/changelog ===
python-petname (2.6-0ubuntu5) lunar; urgency=medium

  * Since this is taking over the petname binary path (by accident of
    debhelper upgrade), and the petname package has been removed from the
    archive, take over the 'petname' binary package that depends on this
    implementation.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Apr 2023 16:32:45 +0000

python-petname (2.6-0ubuntu4) lunar; urgency=medium

  * Fix remaining references to python2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 10 Jan 2023 00:32:05 +0000

python-petname (2.6-0ubuntu3) lunar; urgency=medium

  * Drop python2 bindings.
  * Use modern debhelper.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 31 Dec 2022 08:13:44 +0000

python-petname (2.6-0ubuntu2) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:43:47 +0000

python-petname (2.6-0ubuntu1) eoan; urgency=medium

  * setup.py:
    - fix loading of long description text
    - update URL

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 13 Jun 2019 15:27:35 -0500

python-petname (2.5-0ubuntu1) eoan; urgency=medium

  * setup.py:
    - fix syntax of content type

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 13 Jun 2019 15:22:28 -0500

python-petname (2.4-0ubuntu1) eoan; urgency=medium

  * setup.py:
    - set the reStructuredText type to Markdown, so that we can
      upload to pypi

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 13 Jun 2019 15:20:18 -0500

python-petname (2.3-0ubuntu1) eoan; urgency=medium

  [ Pandentia and Naereen ]
  * README.md:
    - Fix the readme for new GitHub markdown parsing
    - https://github.com/dustinkirkland/python-petname/pull/9
    - https://github.com/dustinkirkland/python-petname/pull/10

  [ Dustin Kirkland ]
  * README.md:
    - update to the newer python-petname readme
    - refer to https://tools.ietf.org/html/rfc1178
    - update golang and python examples

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 13 Jun 2019 15:11:19 -0500

=== debian/control ===
Source: python-petname
Section: python
Priority: optional
Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
Build-Depends: debhelper-compat (= 11),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 3.9.6
Homepage: http://launchpad.net/python-petname
Vcs-Browser: http://bazaar.launchpad.net/~python-petname/python-petname/trunk/files
Vcs-Bzr: https://code.launchpad.net/python-petname/python-petname/trunk

Package: petname
Architecture: all
Depends: python3-petname, ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: RFC1178 implmentation to generate pronouncable, perhaps even memorable, pet names
 This utility will generate "pet names", consisting of a random
 combination of an adverb, adjective, and an animal name.  These are
 useful for unique hostnames, VMs, or containers, for instance.

Package: python3-petname
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: python3 library for generating pronouncable, memorable, pet names
 This package provides a library for generating "pet names", consisting
 of a random combination of an adverb, adjective, and proper name.
 These are useful for unique hostnames, for instance.
 The default packaging contains about 2000 names, 1300 adjectives,
 and 4000 adverbs, yielding nearly 10 billion unique combinations,
 covering over 32 bits of unique namespace.
 As such, PetName tries to follow the tenets of Zooko's triangle:
 names are human meaningful, decentralized, and secure.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	#./debian/update-wordlists.sh
	dh_auto_build

override_dh_compress:
	dh_compress -X.py

override_dh_clean:
	rm -rf *.egg-info/
	dh_clean

override_dh_gencontrol:
	dh_gencontrol --package=petname -- -v1:$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol --remaining-packages
